Runtime

## org.eclipse.gmf.runtime.notation
Interface TextStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  TextStyleImpl

    public interface TextStyle

extends Style

A representation of the model object 'Text Style'.

The following features are supported:

- `Text Alignment`

See Also:
  `NotationPackage.getTextStyle()`
** Generated **
Model:

Method Summary
`TextAlignment` `getTextAlignment()` Returns the value of the 'Text Alignment' attribute.
`void` `setTextAlignment(TextAlignment value)` Sets the value of the '`Text Alignment`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTextAlignment

    TextAlignment getTextAlignment()

  Returns the value of the 'Text Alignment' attribute. The default value is `"Left"`. The literals are from the enumeration `TextAlignment`.

  If the meaning of the 'Text Alignment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text Alignment' attribute.
  See Also:
    `TextAlignment`, `setTextAlignment(TextAlignment)`, `NotationPackage.getTextStyle_TextAlignment()`
  ** Generated **
  Model:
    default="Left"

### setTextAlignment

    void setTextAlignment(TextAlignment value)

  Sets the value of the '`Text Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Text Alignment' attribute.
  See Also:
    `TextAlignment`, `getTextAlignment()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.